Bug 581373 - RFE: Apply 256 color patch [PATCH]
RFE: Apply 256 color patch [PATCH]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rxvt-unicode (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
: 614656 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-11 22:32 EDT by Robert Escriva
Modified: 2010-12-17 15:30 EST (History)
4 users (show)

See Also:
Fixed In Version: rxvt-unicode-9.09-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 11:02:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to the spec file (716 bytes, patch)
2010-04-11 22:32 EDT, Robert Escriva
no flags Details | Diff

  None (edit)
Description Robert Escriva 2010-04-11 22:32:21 EDT
Created attachment 405879 [details]
Patch to the spec file

Description of problem:

It would be nice to enable the patch for 256 color xterm in urxvt

Version-Release number of selected component (if applicable):

9.07

How reproducible:

Default build only has 88 colors

Steps to Reproduce:
1.  Start urxvt
2.  Use scripts at http://www.frexx.de/xterm-256-notes/
3.  Notice lack of all 256 colors
  
Actual results:

Only a portion of the colors show as color.  The rest are white.

Expected results:

The full 256 color spectrum

Additional info:

The attached patch will make the spec compile and was tested on i686.  I didn't update changelog or version (I'm still learning rpm packaging).

My apologies if this has been raised before and there was a reason to not include the patch.  I didn't see any open bugs discussing this feature.
Comment 1 Alan Garfield 2010-06-03 21:53:04 EDT
Patch to SPEC file works perfectly here (thanks!). This would be a worthy additional "-256" package or even the default. I've never understood the reason it's not 256 to start with.
Comment 2 Bug Zapper 2010-11-03 13:21:11 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2010-11-14 10:29:18 EST
rxvt-unicode-9.09-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.09-1.fc14
Comment 4 Fedora Update System 2010-11-14 10:39:32 EST
rxvt-unicode-9.09-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.09-1.fc13
Comment 5 Fedora Update System 2010-11-18 19:09:26 EST
rxvt-unicode-9.09-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rxvt-unicode'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rxvt-unicode-9.09-3.fc14
Comment 6 Jason Tibbitts 2010-11-23 16:36:31 EST
*** Bug 614656 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2010-12-03 11:02:10 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Fedora Update System 2010-12-17 15:26:47 EST
rxvt-unicode-9.09-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-12-17 15:30:39 EST
rxvt-unicode-9.09-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.